package org.nfunk.jep;

public interface Node {
  void jjtOpen();
  
  void jjtClose();
  
  void jjtSetParent(Node paramNode);
  
  Node jjtGetParent();
  
  void jjtAddChild(Node paramNode, int paramInt);
  
  Node jjtGetChild(int paramInt);
  
  int jjtGetNumChildren();
  
  Object jjtAccept(ParserVisitor paramParserVisitor, Object paramObject) throws ParseException;
}
